GNU bug report logs - #44345
[PATCH 1/2] gnu: Add r-metafor.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Aniket Patil <aniket112.patil@HIDDEN>; Keywords: patch; merged with #44346; dated Sat, 31 Oct 2020 15:12:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 44345 44346. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Oct 2020 15:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 31 11:11:13 2020
Received: from localhost ([127.0.0.1]:34289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYsXB-00088v-7E
	for submit <at> debbugs.gnu.org; Sat, 31 Oct 2020 11:11:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:57050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aniket112.patil@HIDDEN>) id 1kYsX6-00088l-Ss
 for submit <at> debbugs.gnu.org; Sat, 31 Oct 2020 11:11:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36966)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <aniket112.patil@HIDDEN>)
 id 1kYsX6-0005Tt-Oe
 for guix-patches@HIDDEN; Sat, 31 Oct 2020 11:11:08 -0400
Received: from mail-pl1-x641.google.com ([2607:f8b0:4864:20::641]:36451)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <aniket112.patil@HIDDEN>)
 id 1kYsX4-0006TX-7X
 for guix-patches@HIDDEN; Sat, 31 Oct 2020 11:11:08 -0400
Received: by mail-pl1-x641.google.com with SMTP id r10so4485709plx.3
 for <guix-patches@HIDDEN>; Sat, 31 Oct 2020 08:11:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=YF3Ojjh4qzdqHP0tnxQDspAaGjv4xXFfDLzPlcDRzI0=;
 b=QQyL3IeYpbY96R7a7IrJIvsIAgVqsEdOmYzV5m+mLQKux1cy0PkIzp6iK2ftA/XIbG
 IUyuYIId0ICxfssNNvl6XiXzUpKvNWq4QMQvH6x+FhZd1osII0Pzwq3SNvsnwE1PhViB
 F4KcXpSObY+YrZGrjYWXXffqYR/8FiMD0mgnj+LMPd8oCbfBxNtpX7DzI/vvRwj7cjvm
 OU9/39CKWFAdOfvgpTgGJqhi1iCUPEJC1NfcoMjgwGsD52aRt1qVush9Vmu2WJviGSf3
 2vw+t2L/oLYPLIltOhpowdrblOeZsTGWd2/On7ek3iIz6nlgHKZRsdQTtft+Z+3xXft/
 +2lA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=YF3Ojjh4qzdqHP0tnxQDspAaGjv4xXFfDLzPlcDRzI0=;
 b=F+bjEGmGRg3VKAs0OSBBfZuU4pReDQyiG+W+p0ygKXs/E4dGBMv3sTUOE3Dg5CaOJZ
 HxDZ7zN63R9NX1dMuFYCPLH6M63WtfUjRtsUSMidzC2ymW7ReHWOy2UJm1BeItnHsWSW
 xfwLaF01K8VkvFsIlkQ0BR9kWAB0EGRfmRuyy/CpR7K1AYNOu0HMPorCKuKLxJYyE+7o
 bSPPW1jXmP8YxxwRcKTISe6sRYgHcIsisYM3lU1YbxlXLMn5tIxoeMGO19Eky0BSrIws
 3lYm+oQIaORe3SzPrJneX6SRPnVeZGbv3tUNsEmKJ8EEwAx3s3boEDy4R8HnU2+eed40
 n0bA==
X-Gm-Message-State: AOAM531vLqADIWoxOrIoqbjkM7PHgDzhFw2guUWop3dEhI7w2f7PWH5Y
 R+6+5ZJyuUVqJwsou5FmjBFtenzm8wsSFw==
X-Google-Smtp-Source: ABdhPJy01UTTASQxK/UZdSSR75YpMKq9P69CPcmoiyqXTaonswi68UxvU8gJuMawSAs7KbXLlQAhFg==
X-Received: by 2002:a17:90a:ef81:: with SMTP id
 m1mr8948952pjy.212.1604157064252; 
 Sat, 31 Oct 2020 08:11:04 -0700 (PDT)
Received: from thinkpad.domain.name ([59.153.2.10])
 by smtp.gmail.com with ESMTPSA id y5sm2329666pfc.165.2020.10.31.08.11.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 31 Oct 2020 08:11:03 -0700 (PDT)
From: Aniket Patil <aniket112.patil@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] gnu: Add r-metafor.
Date: Sat, 31 Oct 2020 20:38:50 +0530
Message-Id: <20201031150851.210931-1-aniket112.patil@HIDDEN>
X-Mailer: git-send-email 2.28.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::641;
 envelope-from=aniket112.patil@HIDDEN; helo=mail-pl1-x641.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
Cc: Aniket Patil <aniket112.patil@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/cran.scm (r-metafor): New variable.
---
 gnu/packages/cran.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 75d9ae7de2..cc4e5f2bba 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -24745,3 +24745,42 @@ mutations in each of 96 trinucleotide contexts and identifies
 the weighted combination of published signatures that, when summed, 
 most closely reconstructs the mutational profile.")
     (license license:gpl2+)))
+
+(define-public r-metafor
+  (package
+    (name "r-metafor")
+    (version "2.4-0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (cran-uri "metafor" version))
+        (sha256
+          (base32
+            "1b599fxk7s0brkchmx698fr5k4g1kzkia2rnlvhg349ffs5nfjmn"))))
+    (properties `((upstream-name . "metafor")))
+    (build-system r-build-system)
+    (propagated-inputs
+     `(("r-matrix" ,r-matrix)
+       ("r-nlme" ,r-nlme)))
+    (home-page
+      "https://cran.r-project.org/web/packages/metafor")
+    (synopsis "Meta-Analysis Package for R")
+    (description
+      "This package provides a comprehensive collection of 
+functions for conducting meta-analyses in R.  The package 
+includes functions to calculate various effect sizes or outcome 
+measures, fit fixed-, random-, and mixed-effects models to such 
+data, carry out moderator and meta-regression analyses, and create 
+various types of meta-analytical plots (e.g., forest, funnel, radial, 
+L'Abbe, Baujat, GOSH plots).  For meta-analyses of binomial and 
+person-time data, the package also provides functions that implement 
+specialized methods, including the Mantel-Haenszel method, Peto's 
+method, and a variety of suitable generalized linear (mixed-effects) 
+models (i.e., mixed-effects logistic and Poisson regression models).  
+Finally, the package provides functionality for fitting meta-analytic 
+multivariate/multilevel models that account for non-independent 
+sampling errors and/or true effects (e.g., due to the inclusion of 
+multiple treatment studies, multiple endpoints, or other forms of clustering).  
+Network meta-analyses and meta-analyses accounting for known correlation 
+structures (e.g., due to phylogenetic relatedness) can also be conducted.")
+    (license license:gpl2+)))
-- 
2.28.0





Acknowledgement sent to Aniket Patil <aniket112.patil@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#44345; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 2 Nov 2020 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.